GrailsDomainClassPersistentProperty (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.domain

## [Java] Class GrailsDomainClassPersistentProperty

- org.codehaus.groovy.grails.domain.GrailsDomainClassPersistentProperty

- All Implemented Interfaces and Traits:
    org.grails.datastore.mapping.model.PersistentProperty

      @java.lang.SuppressWarnings("rawtypes")
      public class GrailsDomainClassPersistentProperty
      extends java.lang.Object

  Bridges a GrailsDomainClassProperty to the org.grails.datastore.mapping.model.PersistentProperty interface.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsDomainClassPersistentProperty (org.grails.datastore.mapping.model.PersistentEntity owner, GrailsDomainClassProperty property)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getCapitilizedName()`
    `org.grails.datastore.mapping.model.PropertyMapping` | `getMapping()`
    `java.lang.String` | `getName()`
    `org.grails.datastore.mapping.model.PersistentEntity` | `getOwner()`
    `java.lang.Class` | `getType()`
    `boolean` | `isNullable()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsDomainClassPersistentProperty(org.grails.datastore.mapping.model.PersistentEntity owner, GrailsDomainClassProperty property)

  - ### Method Detail

    - #### public java.lang.String getCapitilizedName()

    - #### public org.grails.datastore.mapping.model.PropertyMapping getMapping()

    - #### public java.lang.String getName()

    - #### public org.grails.datastore.mapping.model.PersistentEntity getOwner()

    - #### public java.lang.Class getType()

    - #### public boolean isNullable()